xine-lib: xine-lib-1.2.12/src/post/planar/pp.c File Reference

xine-lib 1.2.12

Data Structures | Macros | Typedefs | Functions
pp.c File Reference
`#include "planar.h"`
`#include <xine/xine_internal.h>`
`#include <xine/post.h>`
`#include <xine/xineutils.h>`
`#include <libpostproc/postprocess.h>`
`#include <pthread.h>`

## Data Structures
struct | pp_parameters_s

## Macros
#define | pp_context pp_context_t
#define | pp_mode pp_mode_t
#define | PP_PARAMETERS_T
#define | PP_STRING_SIZE 256 /* size of pp mode string (including all options) */

## Typedefs
typedef struct post_plugin_pp_s | post_plugin_pp_t
typedef struct pp_parameters_s | pp_parameters_t

## Functions
| PARAM_ITEM (POST_PARAM_TYPE_INT, quality, PARAM_ITEM(NULL, PARAM_ITEM(0, PP_QUALITY_MAX, PARAM_ITEM(0, "postprocessing quality")
static int | set_parameters (xine_post_t *this_gen, const void *param_gen)
static int | get_parameters (xine_post_t *this_gen, void *param_gen)
static xine_post_api_descr_t * | get_param_descr (void)
static char * | get_help (void)
static void | pp_dispose (post_plugin_t *this_gen)
static int | pp_intercept_frame (post_video_port_t *port, vo_frame_t *frame)
static int | pp_draw (vo_frame_t *frame, xine_stream_t *stream)
static post_plugin_t * | pp_open_plugin (post_class_t *class_gen, int inputs, xine_audio_port_t **audio_target, xine_video_port_t **video_target)
void * | pp_init_plugin (xine_t *xine, const void *data)

## Macro Definition Documentation

## ◆ pp_context

#define pp_context pp_context_t

## ◆ pp_mode

#define pp_mode pp_mode_t

## ◆ PP_PARAMETERS_T

#define PP_PARAMETERS_T

## ◆ PP_STRING_SIZE

#define PP_STRING_SIZE 256 /* size of pp mode string (including all options) */

## Typedef Documentation

## ◆ post_plugin_pp_t

typedef struct post_plugin_pp_s post_plugin_pp_t

## ◆ pp_parameters_t

typedef struct pp_parameters_s pp_parameters_t

## Function Documentation

## ◆ get_help()

static char * get_help | ( | void |  | ) |
| static

References _, _x_asprintf(), and NULL.

Referenced by pp_open_plugin().

## ◆ get_param_descr()

static xine_post_api_descr_t * get_param_descr | ( | void |  | ) |
| static

Referenced by pp_open_plugin().

## ◆ get_parameters()

static int get_parameters | ( | xine_post_t * | this_gen,
|  | void * | param_gen
| ) |  |
| static

Referenced by pp_open_plugin().

## ◆ PARAM_ITEM()

PARAM_ITEM | ( | POST_PARAM_TYPE_INT | ,
|  | quality | ,
|  | PARAM_ITEM( | NULL,
|  | PARAM_ITEM( | 0,
|  | PP_QUALITY_MAX | ,
|  | PARAM_ITEM( | 0,
|  | "postprocessing quality" |
| ) |  |

References pp_context, and pp_mode.

## ◆ pp_dispose()

static void pp_dispose | ( | post_plugin_t * | this_gen | ) |
| static

References _x_post_dispose(), and NULL.

Referenced by pp_open_plugin().

## ◆ pp_draw()

static int pp_draw | ( | vo_frame_t * | frame,
|  | xine_stream_t * | stream
| ) |  |
| static

References _x_post_frame_copy_down(), _x_post_frame_copy_up(), vo_frame_s::bad_frame, vo_frame_s::base, vo_frame_s::draw, vo_frame_s::flags, vo_frame_s::format, vo_frame_s::free, xine_video_port_s::get_frame, vo_frame_s::height, vo_frame_s::lock, vo_frame_s::next, NULL, post_video_port_s::original_port, vo_frame_s::pitches, vo_frame_s::port, post_video_port_s::post, vo_frame_s::ratio, VO_BOTH_FIELDS, vo_frame_s::width, XINE_IMGFMT_YV12, and yuy2_to_yv12.

Referenced by pp_open_plugin().

## ◆ pp_init_plugin()

void * pp_init_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References N_, NULL, post_class_s::open_plugin, and pp_open_plugin().

## ◆ pp_intercept_frame()

static int pp_intercept_frame | ( | post_video_port_t * | port,
|  | vo_frame_t * | frame
| ) |  |
| static

References vo_frame_s::format, XINE_IMGFMT_YUY2, and XINE_IMGFMT_YV12.

Referenced by pp_open_plugin().

## ◆ pp_open_plugin()

static post_plugin_t * pp_open_plugin | ( | post_class_t * | class_gen,
|  | int | inputs,
|  | xine_audio_port_t ** | audio_target,
|  | xine_video_port_t ** | video_target
| ) |  |
| static

References _x_post_init(), _x_post_intercept_video_port(), vo_frame_s::draw, get_help(), get_param_descr(), get_parameters(), input(), post_video_port_s::intercept_frame, MM_ACCEL_X86_3DNOW, MM_ACCEL_X86_MMX, MM_ACCEL_X86_MMXEXT, xine_post_in_s::name, xine_post_out_s::name, post_video_port_s::new_frame, post_video_port_s::new_port, NULL, pp_dispose(), pp_draw(), pp_intercept_frame(), set_parameters(), xine_post_api_t::set_parameters, xine_list_push_back(), xine_mm_accel(), post_out_s::xine_out, and XINE_POST_DATA_PARAMETERS.

Referenced by pp_init_plugin().

## ◆ set_parameters()

static int set_parameters | ( | xine_post_t * | this_gen,
|  | const void * | param_gen
| ) |  |
| static

Referenced by pp_open_plugin().